# DMGetColoring

Gets coloring and empty Jacobian for a DA or DMComposite

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMGetColoring(DM dm,ISColoringType ctype,ISColoring *coloring)

Collective on DM

### Input Parameter

| dm | - the DM object
| ctype | - IS_COLORING_GHOSTED or IS_COLORING_GLOBAL

### Output Parameter

coloring -the coloring

### See Also

DMDestroy(), DMView(), DMCreateGlobalVector(), DMGetInterpolation(), DMGetMatrix()

Level:developer
Location: src/dm/da/utils/dm.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages